Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer
Interface AuthorityURL

    @XmlElement(value="AuthorityURL")
    public interface AuthorityURL

Encloses an `OnLineResource` which states the linkage of a document defining the meaning of the `Identifier` values which reference this `AuthorityURL`.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary
`String` | `getName()` Provides the name of this `AuthorityURL` which may be referenced by one or more `Identifier`s.
`OnLineResource` | `getOnlineResource()` Provides the linkage to the document defining the meaning of the values used by `Identifier`s which reference this `AuthorityURL`.

Method Detail

### getName

    @XmlElement(value="Name")
    String getName()

  Provides the name of this `AuthorityURL` which may be referenced by one or more `Identifier`s.

  Returns:
    this `AuthorityURL`'s name.

### getOnlineResource

    @XmlElement(value="OnlineResource")
    OnLineResource getOnlineResource()

  Provides the linkage to the document defining the meaning of the values used by `Identifier`s which reference this `AuthorityURL`.

  Returns:
    the linkage to the `Identifier` value defining document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.